#include <sstream>
#include "Group.h"

using namespace std;

std::string Group::dump(std::string const& indent) const
{
	ostringstream oss;
	oss << indent
        << "Group " << "\"" << label << "\", "
		<< "x: " << x << ", "
		<< "y: " << y << ", "
		<< "children: [" << endl;
	for (auto const& c : children) {
		oss << c.dump(indent + "| ");
	}
	oss << indent << "]" << endl;
	return oss.str();
}
